Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

May 20, 2026

main
1.0.0
Compare

API structure has changed

7 structure changes including:
4 Breaking changes
7 Modifications
Modified 7 Breaking
GET /aer/
  • Path went from /tool/ to /aer/ (same operationId)
    Breaking
GET /aer/health
  • Path went from /tool/health to /aer/health (same operationId)
    Breaking
GET /aer/metrics
  • Path went from /tool/metrics to /aer/metrics (same operationId)
    Breaking
GET /aer/tools
  • Path went from /tools to /aer/tools (same operationId)
    Breaking
GET /age/api/v1/sessions/
  • Response
  • 200 response Modified
    • application/json content type Modified
      • sessions property Modified
        • last_message_preview property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • first_message_preview property Added
GET /agi/api/v1/sessions/
  • Response
  • 200 response Modified
    • application/json content type Modified
      • sessions property Modified
        • last_message_preview property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • first_message_preview property Added
GET /oe/query/sessions
  • Response
  • 200 response Modified
    • application/json content type Modified
      • sessions property Modified
        • last_message_preview property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • first_message_preview property Added